> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pads4.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post apiv1externalauthenticationprovidersave



## OpenAPI

````yaml https://saas.pads365.com/rdx/NDS.Services.Authentication//swagger/v1/swagger.json post /api/v1/ExternalAuthenticationProvider/Save
openapi: 3.0.0
info:
  title: NDS.Services.Authentication
  version: 1.0.0
servers:
  - url: https://saas.pads365.com/rdx/NDS.Services.Authentication/
security: []
paths:
  /api/v1/ExternalAuthenticationProvider/Save:
    post:
      tags:
        - ExternalAuthenticationProvider
      operationId: ExternalAuthenticationProvider_Save
      requestBody:
        x-name: saveProviderRequest
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SaveExternalAuthenticationProviderRequest'
        required: true
        x-position: 1
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SaveExternalAuthenticationProviderResult'
components:
  schemas:
    SaveExternalAuthenticationProviderRequest:
      type: object
      additionalProperties: false
      properties:
        Provider:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/ExternalAuthenticationProvider'
    SaveExternalAuthenticationProviderResult:
      allOf:
        - $ref: '#/components/schemas/Result'
        - type: object
          additionalProperties: false
          properties:
            ExternalAuthenticationProviderId:
              type: string
              nullable: true
    ExternalAuthenticationProvider:
      type: object
      additionalProperties: false
      required:
        - Type
        - Name
        - FederationServiceIdentifier
        - MetaDataUrl
        - ReplyUrl
      properties:
        Id:
          type: string
          nullable: true
        Type:
          type: string
          minLength: 1
        Name:
          type: string
          minLength: 1
        FederationServiceIdentifier:
          type: string
          minLength: 1
        MetaDataUrl:
          type: string
          minLength: 1
        ReplyUrl:
          type: string
          minLength: 1
        LegacyCrystalProvider:
          type: boolean
        Configuration:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/Config'
        ScimConfig:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/ScimConfiguration'
        UpdateCertification:
          type: boolean
          nullable: true
        ClaimsMappings:
          type: array
          nullable: true
          items:
            $ref: '#/components/schemas/ClaimsMapping'
    Result:
      allOf:
        - $ref: '#/components/schemas/BaseResult'
        - type: object
          additionalProperties: false
          properties:
            Code:
              type: string
              nullable: true
    Config:
      type: object
      additionalProperties: false
      properties:
        Certificates:
          type: array
          nullable: true
          items:
            $ref: '#/components/schemas/CertificateConfig'
    ScimConfiguration:
      type: object
      additionalProperties: false
      properties:
        Enabled:
          type: boolean
        Url:
          type: string
          nullable: true
        AccessToken:
          type: string
          nullable: true
    ClaimsMapping:
      type: object
      additionalProperties: false
      properties:
        Id:
          type: string
          nullable: true
        ExternalAuthenticationProviderId:
          type: string
          nullable: true
        ExternalAttribute:
          type: string
          nullable: true
        LocalAttribute:
          type: string
          nullable: true
    BaseResult:
      type: object
      additionalProperties: false
      properties:
        Succeeded:
          type: boolean
        Message:
          type: string
          nullable: true
    CertificateConfig:
      type: object
      additionalProperties: false
      properties:
        Thumbprint:
          type: string
          nullable: true
        External:
          type: boolean

````